/* 
 * Prints the Fibonacci series up to a limit.
 */
#include <stdio.h>


int main()
{
    int lim = 0, fib1 = 0, fib2 = 1, fib_next = 0;

    printf("Please enter a positive fibonacci series limit:\n");
    scanf("%d", &lim);

    /* validate input */
    if (lim < 1)
    {
        printf("The limit must be positive!\n");
        return 1;
    }

    /* print the first number of the series */
    printf("%d ", fib1);

    /* iterate as long as the current number is smaller than the limit */
    while (fib2 < lim)
    {
        printf("%d ", fib2);
        /* compute the next number in the series */
        fib_next = fib1 + fib2;
        /* "slide" the window */
        fib1 = fib2;
        fib2 = fib_next;
    }

    printf("\n");

    return 0;
}